export default defineAppConfig({
  pages: [
    'pages/home/home',
    'pages/index/index',
    'pages/meeting/meeting',
    'pages/login/login',
    'pages/check/check',
    'pages/my/my',
  ],
  window: {
    backgroundTextStyle: 'light',
    navigationBarBackgroundColor: '#fff',
    navigationBarTitleText: '课程',
    navigationBarTextStyle: 'black'
  },
  tabBar: {
    color: '#909795',
    selectedColor: '#45D4A8',
    list: [
      {
        text: '首页',
        pagePath: 'pages/home/home',
        iconPath: "static/tabs/home-unselect.png",
        selectedIconPath: "static/tabs/home-selected.png",
      },
      {
        text: '学习',
        pagePath: 'pages/index/index',
        iconPath: "static/tabs/study.png",
        selectedIconPath: "static/tabs/study-selected.png",
      },
      {
        text: "我的",
        pagePath: 'pages/my/my',
        iconPath: "static/tabs/mine-unselect.png",
        selectedIconPath: "static/tabs/mine-selected.png",
      }
    ]
  },
  preloadRule: {
    'pages/index/index': {
      network: 'all',
      packages: ['pages/business']
    },
    'pages/my/my': {
      network: 'all',
      packages: ['pages/manage']
    }
  },
  subpackages: [
    {
      root: 'pages/business',
      pages: [
        'userInfo/userInfo',
        'videoInfo/videoInfo',
        'test/test',
        'history/history',
        'curHistory/curHistory',
        'hourHistory/hourHistory',
        'courType/courType',
        'sort/sort',  // 公共二级分类
      ]
    },
    {
      root: 'pages/manage',
      pages: [
        'depAdmin/depAdmin',
        'student/student',
        'curriculum/curriculum',
        'addStudent/addStudent',
        'depCur/depCur',
        'addCur/addCur',
        'spotMeeting/spotMeeting',
        'selectDep/selectDep',
        'meetings/meetings',
        'userInfo/userInfo',
        'courseAdmin/courseAdmin',
      ]
    },
    {
      root: 'pages/preview',
      pages: [
        'brand/list/list',
        'brand/info/info',
        'brand/article/article',
        'profession/profession',
        'health/health',  // 健康
        'videoFull/videoFull',  // 资源id 视频全屏
        'illness/article/article',
        'illness/sort/sort',
        'illness/list/list',
        'illness/info/info',
        'illness/article/article'
      ]
    },
  ],
  lazyCodeLoading: "requiredComponents"
})
